"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DropdownNav = void 0;
const react_1 = __importDefault(require("react"));
const UI_1 = require("../UI");
const contexts_1 = require("../contexts");
const MonthsDropdown_1 = require("./MonthsDropdown");
const YearsDropdown_1 = require("./YearsDropdown");
/**
 * Render the dropdowns to navigate between months.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://daypicker.dev/advanced-guides/custom-components
 */
function DropdownNav(props) {
    const { classNames, styles, formatters: { formatMonthDropdown, formatYearDropdown } } = (0, contexts_1.useProps)();
    return (react_1.default.createElement("div", { className: classNames[UI_1.UI.DropdownNav], style: styles?.[UI_1.UI.DropdownNav] },
        props.showMonths ? (react_1.default.createElement(MonthsDropdown_1.MonthsDropdown, { month: props.month })) : (react_1.default.createElement("span", { role: "status", "aria-live": "polite" }, formatMonthDropdown(props.month.date.getMonth()))),
        props.showYears ? (react_1.default.createElement(YearsDropdown_1.YearsDropdown, { month: props.month })) : (react_1.default.createElement("span", { role: "status", "aria-live": "polite" }, formatYearDropdown(props.month.date.getFullYear())))));
}
exports.DropdownNav = DropdownNav;
//# sourceMappingURL=DropdownNav.js.map